#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("DEMDUONG.INP");
	int a,i,j;long int t=0;int count=0;
	f1>>a;
	int z[20000];
	for(i=0;i<a;i++)
	{
		f1>>z[i];
	}
	f1.close();
	ofstream f2("DEMDUONG.OUT");
	for(j=0;j<a;j++)
	{
		if(z[j]>0)
		{
			t=t+z[j];
			count++;
		}
	}
	f2<<count<<" "<<t;
	f2.close();
	return 0;
	
	
}
